Bug 19027 - Circulation rules: Better wording for standard rules for all libraries
Summary: Circulation rules: Better wording for standard rules for all libraries
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 19029
  Show dependency treegraph
 
Reported: 2017-08-02 15:58 UTC by Marc Véron
Modified: 2017-10-01 21:43 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19027 - Circulation rules: Better wording for standard rules for all libraries (1.55 KB, patch)
2017-08-02 16:03 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 19027 - Circulation rules: Better wording for standard rules for all libraries (1.72 KB, patch)
2017-08-02 20:44 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 19027 - Circulation rules: Better wording for standard rules for all libraries (1.80 KB, patch)
2017-08-10 19:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-08-02 15:58:56 UTC
In Home > Administration > Circulation and fine rules, the standard value for "Select a library: All libraries" is confusing and leads to support cases. Change wording to "Standard rules for all libraries".

See: 
Bug 18997 - Everything listed as "not renewable"
http://koha.1045719.n5.nabble.com/Impossible-to-renew-items-tc5941578.html
Comment 1 Marc Véron 2017-08-02 16:03:43 UTC
Created attachment 65432 [details] [review]
Bug 19027 - Circulation rules: Better wording for standard rules for all libraries

In Home > Administration > Circulation and fine rules, the standard value for
"Select a library: All libraries" is confusing and leads to support cases.

Change wording to "Standard rules for all libraries".

To test:
- Apply patch
- Go to Home > Administration > Circulation and fine rules
- Verfiy that text in drop down 'Select a library' makes sense.
Comment 2 Alex Buckley 2017-08-02 20:44:20 UTC
Created attachment 65436 [details] [review]
Bug 19027 - Circulation rules: Better wording for standard rules for all libraries

In Home > Administration > Circulation and fine rules, the standard value for
"Select a library: All libraries" is confusing and leads to support cases.

Change wording to "Standard rules for all libraries".

To test:
- Apply patch
- Go to Home > Administration > Circulation and fine rules
- Verfiy that text in drop down 'Select a library' makes sense.

Followed test plan which works as intended. I agree with the wording it
is significantly clearer than previously
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 3 Alex Buckley 2017-08-02 20:48:54 UTC
Hi Marc

I think an additional enhancement would be to hide the 'Clone these rules to: library" if "Standard rules for all libraries" option is selected using javascript, because as the rule is being applied to all libraries cloning them to another library is redundant.

What are your thoughts on this?
Comment 4 Katrin Fischer 2017-08-03 05:32:02 UTC
I think cloning from standard to a specific library in order to then adapt the rules makes sense in some cases, so I wouldn't hide it. 
But I have seen people hitting the clone button by accident. A security question and maybe slightly different placement of the feature could be helpful.
Comment 5 Alex Buckley 2017-08-03 05:37:34 UTC
I agree with your suggestion Katrin :) 

Marc I'll create a followup patch for this bug report if that's ok with you?
Comment 6 Katrin Fischer 2017-08-03 05:40:26 UTC
Hm maybe we should put the cloning discussion on a separate bug, so this can move on quickly. Also a little nicer for release notes to have the changes listed separately.
Comment 7 Alex Buckley 2017-08-03 05:41:23 UTC
Good idea I'll create a new bug report now
Comment 8 Jonathan Druart 2017-08-10 19:11:36 UTC
Created attachment 65850 [details] [review]
Bug 19027 - Circulation rules: Better wording for standard rules for all libraries

In Home > Administration > Circulation and fine rules, the standard value for
"Select a library: All libraries" is confusing and leads to support cases.

Change wording to "Standard rules for all libraries".

To test:
- Apply patch
- Go to Home > Administration > Circulation and fine rules
- Verfiy that text in drop down 'Select a library' makes sense.

Followed test plan which works as intended. I agree with the wording it
is significantly clearer than previously
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2017-08-10 19:31:16 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 10 Fridolin SOMERS 2017-09-29 09:56:56 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 11 Katrin Fischer 2017-10-01 21:43:10 UTC
This patch has been pushed to 16.11.x and will be in 16.11.13.